# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name crypto-api

Name:           ghc-%{pkg_name}
Version:        0.11
Release:        4%{?dist}
Summary:        A generic interface for cryptographic operations

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cereal-devel
BuildRequires:  ghc-entropy-devel
BuildRequires:  ghc-tagged-devel
BuildRequires:  ghc-transformers-devel
# End cabal-rpm deps

%description
A generic interface for cryptographic operations (hashes, ciphers, randomness).
Maintainers of hash and cipher implementations are encouraged to add instances
for the classes defined in Crypto.Classes.  Crypto users are similarly
encouraged to use the interfaces defined in the Classes module.
Any concepts or functions of general use to more than one cryptographic
algorithm (eg padding) is within the scope of this package.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the development files for the Haskell %{pkg_name} library.


%prep
%setup -q -n %{pkg_name}-%{version}
cabal-tweak-dep-ver tagged '< 0.5' '< 0.7'


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 19 2013 Jens Petersen <petersen@redhat.com> - 0.11-3
- allow tagged 0.6

* Wed Jun 19 2013 Jens Petersen <petersen@redhat.com> - 0.11-2
- update to new simplified Haskell Packaging Guidelines

* Fri Mar 22 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.11-1
- spec file generated by cabal-rpm-0.7.1

* Sat Oct 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.1.2.4-1
- Initial package

* Sat Oct 30 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.1.2.4-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
